<?php
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do wyciągania z bazy struktury całego menu głównego
	
	#Zawannsowane szukanie
	
	Black Min cms,
	
	#plik: 1.0
*/

	// przyłączanie pliku do połączenia z bazą danych 
	require_once "../../../connect.php";
	
	// otwieranie połączenie z bazą danych i stosowanie określonego zapyta
	// renderowanie odpowiedniego wyniku struktury menu

		mysqli_report(MYSQLI_REPORT_STRICT);
			
		try 
		{
			$polaczenie = new mysqli($host, $db_user, $db_password, $db_name);
			if ($polaczenie->connect_errno!=0)
			{
				throw new Exception(mysqli_connect_errno());
			}
			else
			{		
				mysqli_query($polaczenie, "SET CHARSET utf8");
				mysqli_query($polaczenie, "SET NAMES 'utf8' COLLATE 'utf8_unicode_ci'");		
				
				// zapytanie ładujące główną strukture menu
				$rezultat = "SELECT * FROM `bm_ustawienia_bm` WHERE `bm_nazwa` LIKE 'bm_menu_structur'";
				$wynik = $polaczenie->query($rezultat);
				
					$row = mysqli_fetch_assoc($wynik);
					$id_menu_structur = $row['id'];
					$nazwa_menu_structur = $row['bm_nazwa'];
					$menu_structur = $row['bm_wartosc'];
				
				// rozkładanie na czyniki pierwsze struktury menu głównego for id
				$menu_structur = json_decode($menu_structur, true);
				
				// zliczanie zawartości id struktury menu
				$ile_load = count($menu_structur);
				
				// funkcjia która konweruje tablie wielowymiarowe na stringa
				function conversion_to_string($tablica, $struktura_tablicy, $ile) {		
					
					// funkcjia która zamienia strukture tablicy na odpowiedne zapytanie 
					function struktura_tablicy($struktura_tablicy) {
						
						// zliczanie ile jest rekordów w tablicy strukturalnej
						$zlicz_strukture = count($struktura_tablicy);
						$zlicz_strukture = $zlicz_strukture-1;
						
						// tworzenie zmienej do przechowywania zwruconych rekordów z tablicy
						$struktura_tablicy_return = "";
						
						for ($i = 0; $i <= $zlicz_strukture; $i++) 
						{	
							//if (str_replace("klucz", '$x', $struktura_tablicy[$i])) {
								
								// zamiana klucza podstawowego na zmieną podstawową do tablicy
								//$struktura_tablicy_return .= str_replace("klucz", '$x', "[".$struktura_tablicy[$i]."]");
								
							//}else{
								//$struktura_tablicy_return .= "[".$struktura_tablicy[$i]."]";
							//}
							
							//echo "[".$struktura_tablicy[$i]."]";
							//$struktura_tablicy_return .= "[".$struktura_tablicy[$i]."]";
						}
						
						return $struktura_tablicy_return;
					}
					
					//echo struktura_tablicy($struktura_tablicy);
					//$struktura_tablicy = struktura_tablicy($struktura_tablicy);
					
					// zmiena do przechowywania zwruconych rekordów z tablicy
					$tablica_return = "";
					$tablica_return_spr = "";
					$tablica_return_spr2 = [];
					
					for ($x = 0; $x <= $ile; $x++) 
					{
						
						// sprawdzenie czy wogóle jakiekolwiek menu zostało zapisane jakiś element
						if (isset($tablica[$x]['id'])) {
							
							// sprawdzenie cz element children jest w tablicy
							if (isset($tablica[$x]['children'])) {
							
							// zliczanie ile rodzic ma dzieci
							$zlicz_children =  count($tablica[$x]['children']);
							$zlicz_children =  $zlicz_children-1;
							}else{
								$zlicz_children =  0;
							}
							
							// sprawdzenie czy rekord ma dziecko children
							for ($xx = 0; $xx <= $zlicz_children; $xx++) 
							{
								// sprawdzenie czy rodzic ma dzecko
								if (isset($tablica[$x]['children'][$xx]) === true) {
									
									// sprawdzenie czy rodzic children jest rodzicem children
									if (isset($tablica[$x]['children'][$xx]['children'])) {
									
										// zliczanie ile rodzic ma dzieci i czy te dziecko jest rodzicem
										$zlicz_children2 =  count($tablica[$x]['children'][$xx]['children']);
										$zlicz_children2 =  $zlicz_children2-1;				
									}else{
										$zlicz_children2 =  0;
									}
									
									// sprawdzenie czy rekord ma dziecko children i czy ten dzieck children jest sam rodzicem dziecka children
									for ($xxx = 0; $xxx <= $zlicz_children2; $xxx++) 
									{
										// sprawdzenie czy rodzic ma dziecko i czy dziecko jest rodzicem
										if (isset($tablica[$x]['children'][$xx]['children']) == true) {
											
											if (isset($tablica[$x]['children'][$xx]['children'][$xxx]['children'])) {
									
											// zliczanie ile rodzic ma dzieci i czy te dziecko jest rodzicem
											$zlicz_children3 =  count($tablica[$x]['children'][$xx]['children']);
											$zlicz_children3 =  $zlicz_children3-1;				
											}else{
												$zlicz_children3 =  0;
											}
																
											for ($xxxx = 0; $xxxx <= $zlicz_children3; $xxxx++) 
											{
												// sprawdzanie czy istnieje 3 element children
												if (isset($tablica[$x]['children'][$xx]['children'][$xxx]['children']) == true) {
												}else{
													$tablica_return .= ",'" . $tablica[$x]['id'] . "'";
													$tablica_return_spr .= $tablica[$x]['id'];
													array_push($tablica_return_spr2, $tablica[$x]['id']);
													
													$tablica_return .= ",'" . $tablica[$x]['children'][$xx]['id'] . "'";
													$tablica_return_spr .= $tablica[$x]['children'][$xx]['id'];
													array_push($tablica_return_spr2, $tablica[$x]['children'][$xx]['id']);
													
													$tablica_return .= ",'" . $tablica[$x]['children'][$xx]['children'][$xxx]['id'] . "'";
													$tablica_return_spr .= $tablica[$x]['children'][$xx]['children'][$xxx]['id'];
													array_push($tablica_return_spr2, $tablica[$x]['children'][$xx]['children'][$xxx]['id']);
												}
											}		
										}else{
											$tablica_return .= ",'" . $tablica[$x]['id'] . "'";
											$tablica_return_spr .= $tablica[$x]['id'] . " ";
											array_push($tablica_return_spr2, $tablica[$x]['id']);
											
											$tablica_return .= ",'" . $tablica[$x]['children'][$xx]['id'] . "'";
											$tablica_return_spr .= $tablica[$x]['children'][$xx]['id'] . " ";
											array_push($tablica_return_spr2, $tablica[$x]['children'][$xx]['id']);
											
										}
									}
								}else{
									$tablica_return .= ",'" . $tablica[$x]['id'] . "'";
									$tablica_return_spr .= $tablica[$x]['id'] . " ";
									array_push($tablica_return_spr2, $tablica[$x]['id']);
								}
							}
						}else{
							$tablica_return .= ",'0'";
						}
					}
				
					// tworzenie zmienej do przechowywania wyniku
					$tablica_return2 = "";
					
					// filtrowanie danych zduplikowanych
					$result = array_unique($tablica_return_spr2);
					
					// wyciąganie wszystkich rekordów z tablicy
					foreach ($result as $results) {
						$tablica_return2 .= ",'" .$results . "'";
					}
					
					return $tablica_return2;
				}

				// sprawdzanie jle struktur ma menu 
				// jeżeli 0 to ładuję całe dodane menu
				if ($ile_load === 0) {
					$ile_load = -1;
					$sort_menu_structur = ",'0'";
				}else{
					$ile_load = $ile_load-1;
					// tworzenie dunkcji która nam konwertuje tablice
					$sort_menu_structur = conversion_to_string($menu_structur,["klucz","'id'"], $ile_load);
				}

echo<<<END

								<div class="cf sortiner-lists animation-cler">

									<div class="tsr sortiner" id="sortiner">
										<ol class="sortiner-list">

END;

				$zlicz1 = count($menu_structur);
				
				if ($zlicz1 === 0) {
					$zlicz1 = 1;
				}
				
				echo $zlicz1;
					
					for ($x = 0; $x <= $zlicz1; $x++) 
					{
						
						if (isset($tablica[$x]) === true) {
							
						}
						
					}
	echo $ile_load;				
					if ($ile_load == 0) {
						// zapytanie ładujące całą strukturę menu
						$rezultat2 = "SELECT * FROM `bm_postmeta` WHERE `bm_nazwa` LIKE 'menu_item' ORDER BY FIELD(`id` $sort_menu_structur)";
						$wynik2 = $polaczenie->query($rezultat2);
						
						$ile2 = mysqli_num_rows($wynik2);

						for ($i = 0; $i <= $ile_load; $i++) 
						{
							
							// pobieranie wartości z bazy danych
							$row2 = mysqli_fetch_assoc($wynik2);
							$id_menu_item = $row2['id'];
							$tytul_menu_item = $row2['bm_nazwa'];
							$menu_item = $row2['bm_wartosc'];
							
							//odszyfrowywanie jsona item menu 
							$menu_items = json_decode($menu_item, true);
							
							$tytul_menu = $menu_items['0'];
							$url_menu = $menu_items['1'];
							$itemtype_menu = $menu_items['2'];

echo<<<END

								<li class="sortiner-item sortiner-rename" data-id="$id_menu_item">
									<div class="sortiner-handle ">$tytul_menu</div>
									<section class="black sortiner-rename-button">+</section>
									<section class="sortiner-rename-section" style="display: none;">
										<section class="tsr fs-100">
											<section class="col-ms40 tsr-mt-10">
												Własny url
											</section>
											<section class="col-ms60">
												<input type="text" name="adres-url-rename" class="input" placeholder="Edytuj url" value="$url_menu"/>
											</section>
										</section>
										<section class="tsr fs-100">									
											<section class="col-ms40 tsr-mt-10">
												Własny Tytuł
											</section>
											<section class="col-ms60">
												<input type="text" name="tytul-menu-rename" class="input" placeholder="Edytuj Tytuł" value="$tytul_menu"/>
											</section>
										</section>	
										<section class="tsr tsr-mt-20">
											<button type="button" class="submit" value="Edytuj element menu" id="edytuj_element_menu" >
												Edytuj element menu
											</button>
										</section>
										<section class="tsr r-0 fs-100 tsr-visable-hover add-text-alert-rename">
											<section class="tsr-fr tsr-button tsr-visable-hover-element red delete-post">
												<a class="sortiner-delete-buton">
													Usuń post
												</a>											
											</section>
											<section class="tsr-fr tsr-button tsr-visable-hover-element edit-post">
												<a class="sortiner-rename-button">
													schowaj/anuluj
												</a>	
											</section>
										</section>
										<section class="tsr-mt-5">
											edytuj element menu > $itemtype_menu
										</section>
									</section>
								</li>			
			
END;
						}						
					}
						
	
					for ($x = 0; $x <= $zlicz1; $x++) 
					{	
						
						
						

					//}

						
						//echo $menu_structur[$i]['id'];
						
						//if ($id_menu_item === $menu_structur[$i]['id']) {
						//	echo $menu_structur[$i]['id'];
						//}else{
						//	echo "nie";
						//}


/*						
						// sprawdzenie czy wogóle jakiekolwiek menu zostało zapisane jakiś element
						if (isset($menu_structur[$i]['id'])) {
							
							// sprawdzenie cz element children jest w tablicy
							if (isset($menu_structur[$i]['children'])) {
							
							// zliczanie ile rodzic ma dzieci
							$zlicz_children =  count($menu_structur[$i]['children']);
							$zlicz_children =  $zlicz_children-1;
							}else{
								$zlicz_children =  0;
							}
							
							// sprawdzenie czy rekord ma dziecko children
							for ($ii = 0; $ii <= $zlicz_children; $ii++) 
							{
								// sprawdzenie czy rodzic ma dzecko
								if (isset($menu_structur[$i]['children'][$ii]) === true) {
									
									// sprawdzenie czy rodzic children jest rodzicem children
									if (isset($menu_structur[$i]['children'][$ii]['children'])) {
									
										// zliczanie ile rodzic ma dzieci i czy te dziecko jest rodzicem
										$zlicz_children2 =  count($menu_structur[$i]['children'][$ii]['children']);
										$zlicz_children2 =  $zlicz_children2-1;				
									}else{
										$zlicz_children2 =  0;
									}
									
									// sprawdzenie czy rekord ma dziecko children i czy ten dzieck children jest sam rodzicem dziecka children
									for ($iii = 0; $iii <= $zlicz_children2; $iii++) 
									{
										// sprawdzenie czy rodzic ma dziecko i czy dziecko jest rodzicem
										if (isset($menu_structur[$i]['children'][$ii]['children']) == true) {
											
											if (isset($menu_structur[$i]['children'][$ii]['children'][$iii]['children'])) {
									
											// zliczanie ile rodzic ma dzieci i czy te dziecko jest rodzicem
											$zlicz_children3 =  count($menu_structur[$i]['children'][$ii]['children']);
											$zlicz_children3 =  $zlicz_children3-1;				
											}else{
												$zlicz_children3 =  0;
											}

echo<<<END

											<li class="sortiner-item sortiner-rename" data-id="$id_menu_item">
												<div class="sortiner-handle ">$tytul_menu</div>
												<section class="black sortiner-rename-button">+</section>
												<section class="sortiner-rename-section" style="display: none;">
													<section class="tsr fs-100">
														<section class="col-ms40 tsr-mt-10">
															Własny url
														</section>
														<section class="col-ms60">
															<input type="text" name="adres-url-rename" class="input" placeholder="Edytuj url" value="$url_menu"/>
														</section>
													</section>
													<section class="tsr fs-100">									
														<section class="col-ms40 tsr-mt-10">
															Własny Tytuł
														</section>
														<section class="col-ms60">
															<input type="text" name="tytul-menu-rename" class="input" placeholder="Edytuj Tytuł" value="$tytul_menu"/>
														</section>
													</section>	
													<section class="tsr tsr-mt-20">
														<button type="button" class="submit" value="Edytuj element menu" id="edytuj_element_menu" >
															Edytuj element menu
														</button>
													</section>
													<section class="tsr r-0 fs-100 tsr-visable-hover add-text-alert-rename">
														<section class="tsr-fr tsr-button tsr-visable-hover-element red delete-post">
															<a class="sortiner-delete-buton">
																Usuń post
															</a>											
														</section>
														<section class="tsr-fr tsr-button tsr-visable-hover-element edit-post">
															<a class="sortiner-rename-button">
																schowaj/anuluj
															</a>	
														</section>
													</section>
													<section class="tsr-mt-5">
														edytuj element menu > $itemtype_menu
													</section>
												</section>
												<ol class="sortiner-list">
													<li class="sortiner-item sortiner-rename" data-id="$id_menu_item">
													<div class="sortiner-handle ">$tytul_menu</div>
													<section class="black sortiner-rename-button">+</section>
													<section class="sortiner-rename-section" style="display: none;">
														<section class="tsr fs-100">
															<section class="col-ms40 tsr-mt-10">
																Własny url
															</section>
															<section class="col-ms60">
																<input type="text" name="adres-url-rename" class="input" placeholder="Edytuj url" value="$url_menu"/>
															</section>
														</section>
														<section class="tsr fs-100">									
															<section class="col-ms40 tsr-mt-10">
																Własny Tytuł
															</section>
															<section class="col-ms60">
																<input type="text" name="tytul-menu-rename" class="input" placeholder="Edytuj Tytuł" value="$tytul_menu"/>
															</section>
														</section>	
														<section class="tsr tsr-mt-20">
															<button type="button" class="submit" value="Edytuj element menu" id="edytuj_element_menu" >
																Edytuj element menu
															</button>
														</section>
														<section class="tsr r-0 fs-100 tsr-visable-hover add-text-alert-rename">
															<section class="tsr-fr tsr-button tsr-visable-hover-element red delete-post">
																<a class="sortiner-delete-buton">
																	Usuń post
																</a>											
															</section>
															<section class="tsr-fr tsr-button tsr-visable-hover-element edit-post">
																<a class="sortiner-rename-button">
																	schowaj/anuluj
																</a>	
															</section>
														</section>
														<section class="tsr-mt-5">
															edytuj element menu > $itemtype_menu
														</section>
														<ol class="sortiner-list">
															<li class="sortiner-item sortiner-rename" data-id="$id_menu_item">
															<div class="sortiner-handle ">$tytul_menu</div>
															<section class="black sortiner-rename-button">+</section>
															<section class="sortiner-rename-section" style="display: none;">
																<section class="tsr fs-100">
																	<section class="col-ms40 tsr-mt-10">
																		Własny url
																	</section>
																	<section class="col-ms60">
																		<input type="text" name="adres-url-rename" class="input" placeholder="Edytuj url" value="$url_menu"/>
																	</section>
																</section>
																<section class="tsr fs-100">									
																	<section class="col-ms40 tsr-mt-10">
																		Własny Tytuł
																	</section>
																	<section class="col-ms60">
																		<input type="text" name="tytul-menu-rename" class="input" placeholder="Edytuj Tytuł" value="$tytul_menu"/>
																	</section>
																</section>	
																<section class="tsr tsr-mt-20">
																	<button type="button" class="submit" value="Edytuj element menu" id="edytuj_element_menu" >
																		Edytuj element menu
																	</button>
																</section>
																<section class="tsr r-0 fs-100 tsr-visable-hover add-text-alert-rename">
																	<section class="tsr-fr tsr-button tsr-visable-hover-element red delete-post">
																		<a class="sortiner-delete-buton">
																			Usuń post
																		</a>											
																	</section>
																	<section class="tsr-fr tsr-button tsr-visable-hover-element edit-post">
																		<a class="sortiner-rename-button">
																			schowaj/anuluj
																		</a>	
																	</section>
																</section>
																<section class="tsr-mt-5">
																	edytuj element menu > $itemtype_menu
																</section>
															</section>											
														</ol>														
													</section>											
												</ol>
											</li>			
			
END;
	
										}else{

echo<<<END

											<li class="sortiner-item sortiner-rename" data-id="$id_menu_item">
												<div class="sortiner-handle ">$tytul_menu</div>
												<section class="black sortiner-rename-button">+</section>
												<section class="sortiner-rename-section" style="display: none;">
													<section class="tsr fs-100">
														<section class="col-ms40 tsr-mt-10">
															Własny url
														</section>
														<section class="col-ms60">
															<input type="text" name="adres-url-rename" class="input" placeholder="Edytuj url" value="$url_menu"/>
														</section>
													</section>
													<section class="tsr fs-100">									
														<section class="col-ms40 tsr-mt-10">
															Własny Tytuł
														</section>
														<section class="col-ms60">
															<input type="text" name="tytul-menu-rename" class="input" placeholder="Edytuj Tytuł" value="$tytul_menu"/>
														</section>
													</section>	
													<section class="tsr tsr-mt-20">
														<button type="button" class="submit" value="Edytuj element menu" id="edytuj_element_menu" >
															Edytuj element menu
														</button>
													</section>
													<section class="tsr r-0 fs-100 tsr-visable-hover add-text-alert-rename">
														<section class="tsr-fr tsr-button tsr-visable-hover-element red delete-post">
															<a class="sortiner-delete-buton">
																Usuń post
															</a>											
														</section>
														<section class="tsr-fr tsr-button tsr-visable-hover-element edit-post">
															<a class="sortiner-rename-button">
																schowaj/anuluj
															</a>	
														</section>
													</section>
													<section class="tsr-mt-5">
														edytuj element menu > $itemtype_menu
													</section>
												</section>
												<ol class="sortiner-list">
													<li class="sortiner-item sortiner-rename" data-id="$id_menu_item">
													<div class="sortiner-handle ">$tytul_menu</div>
													<section class="black sortiner-rename-button">+</section>
													<section class="sortiner-rename-section" style="display: none;">
														<section class="tsr fs-100">
															<section class="col-ms40 tsr-mt-10">
																Własny url
															</section>
															<section class="col-ms60">
																<input type="text" name="adres-url-rename" class="input" placeholder="Edytuj url" value="$url_menu"/>
															</section>
														</section>
														<section class="tsr fs-100">									
															<section class="col-ms40 tsr-mt-10">
																Własny Tytuł
															</section>
															<section class="col-ms60">
																<input type="text" name="tytul-menu-rename" class="input" placeholder="Edytuj Tytuł" value="$tytul_menu"/>
															</section>
														</section>	
														<section class="tsr tsr-mt-20">
															<button type="button" class="submit" value="Edytuj element menu" id="edytuj_element_menu" >
																Edytuj element menu
															</button>
														</section>
														<section class="tsr r-0 fs-100 tsr-visable-hover add-text-alert-rename">
															<section class="tsr-fr tsr-button tsr-visable-hover-element red delete-post">
																<a class="sortiner-delete-buton">
																	Usuń post
																</a>											
															</section>
															<section class="tsr-fr tsr-button tsr-visable-hover-element edit-post">
																<a class="sortiner-rename-button">
																	schowaj/anuluj
																</a>	
															</section>
														</section>
														<section class="tsr-mt-5">
															edytuj element menu > $itemtype_menu
														</section>
													</section>											
												</ol>
											</li>			
			
END;
											
										}
									}
								}else{

echo<<<END

											<li class="sortiner-item sortiner-rename" data-id="$id_menu_item">
												<div class="sortiner-handle ">$tytul_menu</div>
												<section class="black sortiner-rename-button">+</section>
												<section class="sortiner-rename-section" style="display: none;">
													<section class="tsr fs-100">
														<section class="col-ms40 tsr-mt-10">
															Własny url
														</section>
														<section class="col-ms60">
															<input type="text" name="adres-url-rename" class="input" placeholder="Edytuj url" value="$url_menu"/>
														</section>
													</section>
													<section class="tsr fs-100">									
														<section class="col-ms40 tsr-mt-10">
															Własny Tytuł
														</section>
														<section class="col-ms60">
															<input type="text" name="tytul-menu-rename" class="input" placeholder="Edytuj Tytuł" value="$tytul_menu"/>
														</section>
													</section>	
													<section class="tsr tsr-mt-20">
														<button type="button" class="submit" value="Edytuj element menu" id="edytuj_element_menu" >
															Edytuj element menu
														</button>
													</section>
													<section class="tsr r-0 fs-100 tsr-visable-hover add-text-alert-rename">
														<section class="tsr-fr tsr-button tsr-visable-hover-element red delete-post">
															<a class="sortiner-delete-buton">
																Usuń post
															</a>											
														</section>
														<section class="tsr-fr tsr-button tsr-visable-hover-element edit-post">
															<a class="sortiner-rename-button">
																schowaj/anuluj
															</a>	
														</section>
													</section>
													<section class="tsr-mt-5">
														edytuj element menu > $itemtype_menu
													</section>
												</section>
											</li>			
			
END;

								}
							}
						}else{
echo<<<END

											<li class="sortiner-item sortiner-rename" data-id="$id_menu_item">
												<div class="sortiner-handle ">$tytul_menu</div>
												<section class="black sortiner-rename-button">+</section>
												<section class="sortiner-rename-section" style="display: none;">
													<section class="tsr fs-100">
														<section class="col-ms40 tsr-mt-10">
															Własny url
														</section>
														<section class="col-ms60">
															<input type="text" name="adres-url-rename" class="input" placeholder="Edytuj url" value="$url_menu"/>
														</section>
													</section>
													<section class="tsr fs-100">									
														<section class="col-ms40 tsr-mt-10">
															Własny Tytuł
														</section>
														<section class="col-ms60">
															<input type="text" name="tytul-menu-rename" class="input" placeholder="Edytuj Tytuł" value="$tytul_menu"/>
														</section>
													</section>	
													<section class="tsr tsr-mt-20">
														<button type="button" class="submit" value="Edytuj element menu" id="edytuj_element_menu" >
															Edytuj element menu
														</button>
													</section>
													<section class="tsr r-0 fs-100 tsr-visable-hover add-text-alert-rename">
														<section class="tsr-fr tsr-button tsr-visable-hover-element red delete-post">
															<a class="sortiner-delete-buton">
																Usuń post
															</a>											
														</section>
														<section class="tsr-fr tsr-button tsr-visable-hover-element edit-post">
															<a class="sortiner-rename-button">
																schowaj/anuluj
															</a>	
														</section>
													</section>
													<section class="tsr-mt-5">
														edytuj element menu > $itemtype_menu
													</section>
												</section>
											</li>			
			
END;
						}
*/ 
						

					}	

echo<<<END

										</ol>
									</div>	
								</div>
								<section class="tsr tsr-mt-20">
									<button type="tsr-button tsr-normal" class="submit" value="Zapisz menu" id="zapisz_menu" >
										Zapisz menu
									</button>
								</section>
								
								<textarea id="sortiner-output">[]</textarea>
								
END;
				
				$polaczenie->close();
			}
			
		}
		catch(Exception $e)
		{
			echo '<span style="color:red;">Błąd serwera! Przepraszamy za niedogodności i prosimy o powtórzenie działań póżniej!</span>';
			echo '<br />Informacja developerska: '.$e;
		}	

echo<<<END

	<script type="text/javascript">
$(document).ready(function()
{
	
	//console.log($('.sortiner').sortiner('serialize'));

    var updateOutput = function(e)
    {
        var list   = e.length ? e : $(e.target),
            output = list.data('output');
        if (window.JSON) {
            //output.val(window.JSON.stringify(list.sortiner('serialize')));//, null, 2));
			//output.val(window.JSON.stringify(list.sortiner('serialize')));
			output.text(window.JSON.stringify(list.sortiner('serialize')));
        } else {
            output.val('Twoja przeglądarka nie wspiera JSON!');
        }
		
		
    };

    // activate sortiner for list 1
    $('#sortiner').sortiner({
        group: 1,
		maxDepth : 3,
        rootClass       : 'sortiner',
        listClass       : 'sortiner-list',
        itemClass       : 'sortiner-item',
        dragClass       : 'sortiner-dragel',
        handleClass     : 'sortiner-handle',
        collapsedClass  : 'sortiner-collapsed',
        placeClass      : 'sortiner-placeholder',
        noDragClass     : 'sortiner-nodrag',
        emptyClass      : 'sortiner-empty',		
    })
    .on('change', updateOutput);

    // output initial serialised data
    updateOutput($('#sortiner').data('output', $('#sortiner-output')));

    $('#sortiner-menu').on('click', function(e)
    {
        var target = $(e.target),
            action = target.data('action');
        if (action === 'expand-all') {
            $('.sortiner').sortiner('expandAll');
        }
        if (action === 'collapse-all') {
            $('.sortiner').sortiner('collapseAll');
        }
    });

	// funkcjia która po kliknięciu dodaje nam nowy element do struktury głównego menu
	// pobiera dane wpisane od użtkownika i dodanie do menu

	// skrypt dodający nowy element do menu
	$( this ).on( "click", "#dodaj_do_menu", function() {
		var id_menu = $('.sortiner-item').last().attr("data-id");
		var id_menu = ++id_menu;
		var url_adres =  $("input[name=adres-url]").val();
		var tytul_menu =  $("input[name=tytul-menu]").val();
		
		if (url_adres == "" || tytul_menu == "") {
			if (url_adres == "") {
				$("input[name=adres-url]").effect( "shake" );
			}	
			if (tytul_menu == "") {
				$("input[name=tytul-menu]").effect( "shake" );
			}
			
			$(this).closest(".add-text-alert").append('<section class="tsr tsr-alert tsr-alert-error"> Nie wypełniłeś wszystkich informacji </section>');
			$(".tsr-alert-error").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
		}else {
			$("input[name=adres-url]").val("");
			$("input[name=tytul-menu]").val("");
			//$(".sortiner-list").append('<li class="sortiner-item" data-id="' + id_menu + '" data-item-type="link" data-url="' + url_adres + '" data-name="' + tytul_menu + '"><div class="sortiner-handle">' + tytul_menu + '</div></li>');
			
			
			$.ajax({
				type:"POST",
				url:"insert/add-menu.php",
				data:{
					tytul:tytul_menu,
					url:url_adres,
					item_type:"link",
				}
			})
			.done(function(info){
				load_menu_items();
				//$(this).closest(".add-text-alert").text("");
				$(".add-text-alert").append(info);
				$(".tsr-alert-error").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
				$(".tsr-alert-success").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
			})
			.fail(function(){
				alert("Wystąpił błąd. Spróbuj ponownie później");
			});	
		}
	});	

	// skrypt zmieniający nazwyę wyświetlaną i adres url menu
	$( this ).on( "click", "#edytuj_element_menu", function() {
		var url_adres_rename =  $(this).closest(".sortiner-rename").find("input[name=adres-url-rename]").val();
		var id_menu  =  $(this).closest(".sortiner-rename").find("input[name=adres-url-rename]").attr("data-id");
		var tytul_menu_rename =  $(this).closest(".sortiner-rename").find("input[name=tytul-menu-rename]").val();
		console.log(tytul_menu_rename);
		
		if (url_adres_rename == "" || tytul_menu_rename == "") {
			if (url_adres_rename == "") {
				$(this).closest(".sortiner-rename").find("input[name=adres-url-rename]").effect( "shake" );
			}	
			if (tytul_menu_rename == "") {
				$(this).closest(".sortiner-rename").find("input[name=tytul-menu-rename]").effect( "shake" );
			}
			
			$(this).closest(".sortiner-rename").find(".add-text-alert-rename").append('<section class="tsr tsr-alert tsr-alert-error"> Nie wypełniłeś wszystkich informacji </section>');
			$(".tsr-alert-error").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
		}else {
			$(this).closest(".sortiner-rename").attr("data-url", url_adres_rename);
			$(this).closest(".sortiner-rename").attr("data-name", tytul_menu_rename);
			$(this).closest(".sortiner-rename").find(".sortiner-handle").text(tytul_menu_rename);
			//$( this ).closest(".sortiner-rename").replaceWith( "<div>" + $( this ).text() + "</div>" );
			
			/*var replaceitem = '<li class="sortiner-item sortiner-rename" data-id="3" data-item-type="link" data-url="' + url_adres_rename + '" data-name="' + tytul_menu_rename + '"><div class="sortiner-handle ">' + tytul_menu_rename +  '</div><section class="black sortiner-rename-button">+</section><section class="sortiner-rename-section" style=""><section class="tsr fs-100"><section class="col-ms40 tsr-mt-10">Własne url</section><section class="col-ms60"><input type="text" name="adres-url-rename" class="input" placeholder="Edytuj url" value="' + url_adres_rename + '"/></section></section><section class="tsr fs-100">	<section class="col-ms40 tsr-mt-10">Własny Tytuł</section><section class="col-ms60"><input type="text" name="tytul-menu-rename" class="input" placeholder="Edytuj Tytuł" value="' + tytul_menu_rename + '"/></section></section><section class="tsr tsr-mt-20"><button type="button" class="submit"id="edytuj_element_menu"/>Edytuj element menu </button></section><section class="tsr r-0 fs-100 tsr-visable-hover add-text-alert-rename"><section class="tsr-fr tsr-button tsr-visable-hover-element red delete-post"><a class="sortiner-delete-buton">Usuń post</a></section><section class="tsr-fr tsr-button tsr-visable-hover-element edit-post"><a class="sortiner-rename-button">schowaj/anuluj</a></section></section><section class="tsr-mt-5">edytuj element menu</section></section></li>';
			
			//$( this ).closest(".sortiner-rename").replaceWith(replaceitem);
			
			$(this).on('submit', function(evt1){	
			evt1.preventDefault();
			$.ajax({
				type:"POST",
				url:"insert/edit-menu.php",
				data:{
					tytul:tytul,
					url:url,
					id:kategoria,
				}
			})
			.done(function(info){
				$('#contajner_post_add').text("");
				$('#contajner_post_add').append(info);
			})
			.fail(function(){
				alert("Wystąpił błąd. Spróbuj ponownie później");
			});
			});		*/	
		
		}
	});	

	// skrypt pokazujący i howający sekcie do zmieniania danych menu
	$( ".sortiner-rename-button" ).on( "click", function() {
		$(this).parent().first().find('.sortiner-rename-section').first().slideToggle();
		$(this).closest('.sortiner-rename-section').slideToggle();
	});
	
	// skrypt do usuwanie elementów klasy
	$( ".sortiner-delete-buton" ).on( "click", function() {
		$(this).closest('.sortiner-item').fadeOut(500, function () { $(this).remove(); });
		console.log("s");
	});
	
});
		
		$('#zapisz_menu').click('submit', function(evt1){	
		evt1.preventDefault();
		var data_menu_structur= $("#sortiner-output").val();
		console.log(data_menu_structur);
		$.ajax({
			type:"POST",
			url:"insert/edit-menu.php",
			data:{
				menu_structur:data_menu_structur,
			}
		})
		.done(function(info){
			$('#contajner_post_add').text("");
			$('html').append(info);
			console.log(info);
		})
		.fail(function(){
			alert("Wystąpił błąd. Spróbuj ponownie później");
		});
		});	
	</script>				

END;

?>